FAQ Database Discussion Community


Cannot get postgresql-9.3-postgis-2.1 on Ubuntu 14.04.1 Docker container

postgresql,docker,ubuntu-14.04,postgis,dockerfile
I tried to install postgresql-9.3-postgis-2.1 or postgresql-9.1-postgis-2.1 for a cloned app, but I can only get postgresql-9.4-postgis-2.1 on my Ubuntu docker image which is build from python:2.7 image. I looked into the image and found it's on a Ubuntu 14.04.1 image. I tries to install postgis on my Xubuntu 14.04.2...

start-dfs.sh: command not found

hadoop,ubuntu-14.04
I have installed hadoop 2.7.0. on Ubuntu 14.04. But the code start-dfs.sh is not working. when I run this code It returns start-dfs.sh: command not found. The start-dfs.sh, start-all.sh , stop-dfs.sh and stop-all.sh are in the sbin directory. I have installed and set the paths of java and hadoop correctly....

ImportError: No module named opencv after installing python-opencv in Ubuntu 14.04

python,opencv,ubuntu,install,ubuntu-14.04
I install opencv in python with running $ sudo apt-get install python-opencv and installed successfully. but when run this code import opencv import opencv.highgui import time import commands def get_image(): image = opencv.highgui.cvQueryFrame(camera) return opencv.adaptors.Ipl2PIL(image) camera = opencv.highgui.cvCreateCameraCapture(-1) while 1: image = get_image() image.thumbnail((32, 24, )) image = tuple(ord(i) for...

(dlang, GtkD) Using menubar

gtk,d,ubuntu-14.04,dmd,gtkd
I copied the code in this site(https://sites.google.com/site/gtkdtutorial/#chapter2_2) and compiled it by dmd2. import gtk.MainWindow; import gtk.Box; import gtk.Main; import gtk.Menu; import gtk.MenuBar; import gtk.MenuItem; import gtk.Widget; import gdk.Event; void main(string[] args) { Main.init(args); MainWindow win = new MainWindow("MenuBar Example"); win.setDefaultSize(250, 200); MenuBar menuBar = new MenuBar(); menuBar.append(new FileMenuItem()); Box box...

How to create local mirror for ubuntu inside docker container?

ubuntu,docker,ubuntu-14.04,mirror
I wants to create local mirror for Ubuntu inside docker container. Here is the link I am following from git hub. https://github.com/ekino/docker-images Now the issue is that it is taking too much time to download the whole packages,even though I divided its in part like main,restricted and universe but it...

pysqlcipher installation on ubuntu with Python 3.4 - syntaxerror

python,sqlite,python-3.x,ubuntu-14.04,sqlcipher
I'm following this tutorial to install pysqlcipher, but get a syntax error. I'm working on Ubuntu 14.04 LTS. I have created a virtual environment with "virtualenv" to use Python 3.4. Despite the tutorial (of the link above), I cannot success to install sqlcipher! The installation crashes when I run this:...

Deploying Symfony1 project to a Linode with Ubuntu 14.04 shows blank screen

php,.htaccess,symfony-1.4,ubuntu-14.04,linode
I have a working Symfony 1.4 project hosted in Linode VPS with Ubuntu 12.04. For some reasons, I have to upgrade my Ubuntu 12.04 to Ubuntu/Trusty64 14.04. When I uploaded my symfony 1.4 ,it shows me blank screen, I already cleared cache by running php symfony cc in production.I just...

When converting mkv to mp4, the audio is lost

ubuntu-14.04,mp4,video-encoding,mkv
I have converted my .mkv file into an .mp4 by using the command: sudo avconv -i input.mkv -codec copy output.mp4 I am trying to play the mp4 file in the browser, but the audio is not playing. The video player shows that it is on mute, but the button is...

glashfish 4.1 not start on ubuntu server 14.04

java,ubuntu,glassfish,ubuntu-14.04,glassfish-4
I follow http://www.lyonlabs.org/howto/howdoi-glassfish.html to install Glassfish 4.1 on Ubuntu 14.04 server. But when I try to start glassfish server it show: remote server does not listen for requests on [localhost:4848] is the server up Thanks ...

Error after installing Node.js in Linux

node.js,ubuntu-14.04,mean-stack
I am getting following error after typing $ node - version in My Linux Machine: Error: unrecognized flag - Try --help for options module.js:340 throw err; ^ Error: Cannot find module '/home/ojas/version' at Function.Module._resolveFilename (module.js:338:15) at Function.Module._load (module.js:280:25) at Function.Module.runMain (module.js:497:10) at startup (node.js:119:16) at node.js:935:3 I have used following...

how to change MTU inside docker container on ubuntu 14.4

linux,ubuntu,networking,docker,ubuntu-14.04
I want to change MTU(Maximum Transmission Unit) inside docker which is running on ubuntu 14.04. Also docker container running with ubuntu 14.04. The problem is that its docker0 interface on host os can change the MTU value from 1500 to 9000 but its doesn't gives affects inside docker os. means...

Corinder installation on ubuntu

ubuntu-14.04,nvidia,firewire
I am trying to install Coriander on Ubuntu, but when I tried to make it I got the following error: make all-recursive make[1]: Entering directory `/home/ubuntu/Downloads/coriander-2.0.0' Making all in po make[2]: Entering directory `/home/ubuntu/Downloads/coriander-2.0.0/po' make[2]: Nothing to be done for `all'. make[2]: Leaving directory `/home/ubuntu/Downloads/coriander-2.0.0/po' Making all in src make[2]:...

Python and conflicting module names

python,scipy,ubuntu-14.04
It seems that if a file is called io.py and it imports scipy.ndimage, the latter somehow ends up failing to find its own submodule, also called io: $ echo "import scipy.ndimage" > io.py $ python io.py Traceback (most recent call last): File "io.py", line 1, in <module> import scipy.ndimage File...

codeigniter not working after installing zend Framework

php,codeigniter,zend-framework,ubuntu-14.04
I am using Ubuntu 14.04. i have done a project using codeigniter and that was working fine. but now i thought of learning zend framework and installed zend framework 1.12.3 on my machine using this tutorial Digital Ocean. When i tried to access the new project i have created http://localhost/ZendApp...

How can I make NumPy use OpenBlas in Ubuntu?

numpy,ubuntu-14.04,blas,openblas
I have both BLAS and OpenBLAS installed: $ dpkg -l \*blas\* | grep ^i ii libblas-dev 1.2.20110419-7 amd64 Basic Linear Algebra Subroutines 3, static library ii libblas3 1.2.20110419-7 amd64 Basic Linear Algebra Reference implementations, shared library ii libopenblas-base 0.2.8-6ubuntu1 amd64 Optimized BLAS (linear algebra) library based on GotoBLAS2 ii libopenblas-dev...

Ctrl + Space with main or syso templates still requires confirmation

java,linux,eclipse,ubuntu-14.04,shortcut
How do you configure Eclipse to produce System.out.println() with syso or the main method when typing main and then pressing Ctrl + Space without pressing Enter to confirm afterwards? I'm having a problem with this on Eclipse, running Ubuntu 14.04, but I know that it's possible because computers at my...

Why this parameter '+profile “*”' get convert killed?

imagemagick,ubuntu-14.04,imagemagick-convert
If I run this command, convert -limit memory 2071963648 -quality 100 -alpha off -density 165% -scene 1 infile.jpg outfile.png The conversion runs without any issue. However if I add +profile "*", convert +profile "*" -limit memory 2071963648 -quality 100 -alpha off -density 165% -scene 1 infile.jpg outfile.png The process is...

Kafka, nodejs client (kafkaesque) socket default timeout

javascript,node.js,ubuntu-14.04,storm
I am using Ubuntu 14.04. a nodejs ->kafkaesque(kafka nodejs client)->kafka_2.9.2-0.8.2.1->storm. In Kafkaesque,(kafka nodejs client), I notice in api.js, there are following line to create socket. _socket = net.createConnection(_options.port, _options.host); I am wondering what's the default value for timeout of socket. Shall I setTimeout(0) if I want socket connection is always...

Error in build from Dockerfile for Ubuntu image with Mono installed

xamarin,mono,docker,ubuntu-14.04,boot2docker
I have the following docker file that I am attempting to use to build a Ubuntu image with mono. FROM ubuntu:14.04 MAINTAINER John Smith <[email protected]> RUN sudo apt-get update RUN sudo /bin/bash -l -c apt-get install wget RUN sudo /bin/bash -l -c apt-get http://download.mono-project.com/repo/xamarin.gpg RUN sudo apt-key add xamarin.gpg RUN...

Cron job at specific interval of minutes

cron,crontab,ubuntu-14.04
I need to run a cron job in linux at 20 minutes interval everyday. The most important thing is, it must be on specifically 10th, 30th and 50th minutes. I think I need to run 3 cron jobs as : 10 * * * * /path_to_script 30 * * *...

Video4Linux Loopback Device on Linux4Tegera

linux,ubuntu-14.04,nvidia,firewire
I am interfacing Bumblebee2 camera with Nvidia Tegra TK1 board. I have installed firewire1394 driver along with coriander 2.0.2 to get the camera output and it is working fine. But I am not able to load the video for Linux module. I have installed the following two packages as well...

php5enmod mcrypt with Puppet

php,nginx,ubuntu-14.04,puppet
Another Puppet related question. As part of my installation with Puppet, I'm installing: - Ubuntu 14.04.2 LTS PHP5-FPM Nginx MySQL etc As part of the PHP class I have the following: - package {[ 'php5-fpm', 'php5-mysql', 'php5-cli', 'php5-mcrypt', 'php5-curl', ]: ensure => present, require => Exec['apt-get update'], } This part...

Can't create new android project from command line

android,ubuntu-14.04
I am trying to create a new android project from command line. I am following tutorial from http://developer.android.com/. In the tutorial, first they ask me to list the all available platforms installed on my system using ./android list targets command. This gives me the following result, [email protected]:~/Android/Sdk/tools$ ./android list targets...

docker command not found even though installed with apt-get

docker,ubuntu-14.04
Adding this for reference for others because it would have saved me 10 minutes if such an answer existed. I tried installing Docker using ubuntu 14.0LTS virtualbox sudo apt get install docker However, when I try running docker it gives me the following error The program 'docker' is currently not...

Linux: Pipe `find` text file list | `dos2unix` | `dd` command

bash,pipe,ubuntu-14.04
What I'm attempting to do: Line 1: find any .txt or .TXT file and pipe them into next command Line 2: convert the .txt file to unix format (get rid of Windows line endings) Line 3: delete the last line of the file, which is always blank find "${TEMPDIR}" -name...

connect (RS232 to USB )cable on linux

ubuntu-14.04,microcontroller,pic
I have a JDM programmer for pic microcontrollers but it came with RS232 port I have bought a RS232 to USB cable with its driver for windows only and I use xubuntu 14.04LTS I have tried dmesg and lsusb , it shows that the cable is connected But when I...

error Installing topicmodels in R Ubuntu

r,ubuntu-14.04,topic-modeling
I am getting error while installing topicmodels package in R. on running install.packages("topicmodels",dependencies=TRUE) following are the last few lines I am getting. Please help. My R version is 3.1.3. g++ -I/usr/share/R/include -DNDEBUG -fpic -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -D_FORTIFY_SOURCE=2 -g -c utilities.cpp -o utilities.o gcc -std=gnu99 -I/usr/share/R/include -DNDEBUG...

Ubuntu 14.04 LTS and Mysql 5 = 12h for importing 180mo

mysql,ubuntu-14.04,mysqldump
I have very slow performance with Ubuntu 14.04 LTS and MySQL 5.5.43 I need to import 4GB in database. 12h later, the size of database is 180 mo I did the same import with a older Ubuntu and MySQL 5.5.43 This took 3h ... I use default settings for Ubuntu...

Hbase on hadoop not connecting on distrubuted mode

hadoop,hbase,bigdata,ubuntu-14.04,distributed
Hi I AM TRYING TO SETUP HBASE(hbase-0.98.12-hadoop2) ON HADOOP(hadoop-2.7.0) Hadoop is running on localhost:560070 its running fine . my hbase-site.xml as show below <configuration> <property> <name>hbase.rootdir</name> <value>hdfs://localhost:9000/hbase</value> </property> <property> <name>hbase.cluster.distributed</name> <value>true</value> </property> <property> <name>hbase.zookeeper.quorum</name>...

PXE setup for Ubuntu server 14.04 installation creates issue

linux,ubuntu,ubuntu-14.04,ubuntu-server,ipxe
I know this question already been asked on StackOverflow but I am not satisfied by the answer provided. PXE use part of my kickstart file My set up: Ubuntu Desktop 14.04 LTS (x86) with PXE (TFTP + Apache) set up. Mounted Ubuntu server image 14.04.2 and created fully unattended installation...

mysqladmin: connect to server at 'localhost' failed

mysql,ubuntu-14.04,mysqladmin
Today (2015-05-02) I upgraded my Linux system via apt-get update and apt-get upgrade whereas mysql, mysqladmin and a lot more packages have been updated. The mysql-server-5.5 runs and I can login and do all the typical database operations but when I type: [email protected]:~# mysqladmin proc I get the following error:...

Ubuntu 14.04 - Qt version choosing

c++,qt,ubuntu-14.04
I mistakenly updated my qt version from 4.8.5 to 4.8.6. This happened as a result of python anaconda installation. However I am working on a project that needs qt 4.8.5. Running qmake -v shows: $ qmake -v QMake version 2.01a Using Qt version 4.8.6 in home/<username>/anaconda/lib How do I switch...

Accessing ubuntu virtual machine host from windows browser [closed]

python,ubuntu,flask,virtualbox,ubuntu-14.04
I have a virtualbox ubuntu machine running a hellow world flask app. I tried having the app display on 127.0.0.1:5000 and 0.0.0.0:5000 But both when I try to load up on my windows browser don't resolve. When I run ifconfig in ubuntu virtual machine I get this: ifconfig -a eth0...

Docker container returns “unknown” for “uname -p” command

docker,ubuntu-14.04
I just installed a brand new Ubuntu Server 14.04.2 LTS and also installed docker to run containers. I am facing some problems with it. A container will be used to run Jenkins and some of its jobs runs scripts to install Android NDK/SDK. These scripts are checking for the platform...

What does “WARNING: not changing user” mean in Neo4j?

linux,ubuntu,neo4j,ubuntu-14.04
When I try to start my Neo4j database on Ubuntu 14.04, I see a message: WARNING: not changing user. What does this mean, is it important and how do I overcome the warning? The warning doesn't stop the server from starting. Full output: [email protected]:~$ sudo service neo4j-service start Using additional...

issues with installing newer cabal version for haskell vim now

ubuntu,haskell,vim,ubuntu-14.04,cabal
I would like to install this vim plugin: https://github.com/begriffs/haskell-vim-now When trying to run the suggested installation script: curl -o - https://raw.githubusercontent.com/begriffs/haskell-vim-now/master/install.sh | bash I get: --- Cabal version 1.18 or later is required. Aborting. I then try to install a newer version of cabal: [email protected]:~/Downloads/cabal-install-1.22.6.0$ ./bootstrap.sh The response I get:...

I am unable to set the compiler path for opencv library.

c++,linux,opencv,arm,ubuntu-14.04
I want to cross compile my C++ opencv code into ARM A8 cross compiler, I already made an cross compiling environment for it and I did changed the paths in CMake gui as well. I am easily able to run a normal C++ code into it. But when I am...

Python - Ubuntu Server

python,ubuntu,ubuntu-14.04
I am wanting to write my first Python script for my Ubuntu VPS and I was wondering the best way to go about doing it. This script will send me a message every 30 minutes through my gmail account. Originally, in my head I envisioned a Python script that would...

What does the compilation error “SIG_BLOCK undeclared” mean?

c,gcc,ubuntu-14.04
I get an error message error: ‘SIG_BLOCK’ undeclared for this code when compiling with -ansi. sigprocmask(SIG_BLOCK, &my_sig, NULL); Did I forget to be explicit about some header file? These are my includes #include <sys/stat.h> #include <stdio.h> #include <unistd.h> #include <string.h> #include <dirent.h> #include <errno.h> #include <stdarg.h> #include <stdlib.h> #include <signal.h>...

SQLite3 Unable to write to database file on Amazon AWS but only in certain instances

php,amazon-ec2,sqlite3,ubuntu-14.04
I have setup and EC2 instance on AWS and as part of this instance I am using a SQLite3 database to handle certain data. All of the database operations are routed through a single PHP file, with a single connection: function dataQuery($query) { // establish database connection try { $dbh...

Auto Splitting full video using MP4Box

ffmpeg,ubuntu-14.04
Is there any method to achieve auto-splitting of whole video into equal chunks using MP4Box in Ubuntu as we get same using FFMPEG by specifying segments as following ffmpeg -i input.mp4 -c copy -map 0 -segment_time 8 -f segment output%03d.mp4...

Android Studio - how to install Android platform tools on Ubuntu 14.04 64 bit?

android-studio,64bit,ubuntu-14.04
I am trying to install Android Studio on a 64 bit version of Ubuntu 14.04. However my installation stops at this point: How can this be resolved ? Any suggestions or a solution itself would be most appreciated. Thank you very much for your time. Edit: Am I on the...

How to stop Rsys from sending log data

ubuntu-14.04,rsyslog
Hello i am relatively new to rsyslog, and i have a file stored here /etc/rsyslog.d/ to tell rsyslog to send log data. I now have enough data to analyze and would like to stop rsyslog from keep sending log data and waste my bandwidth. So the question is how can...

Keyboard issues with Android Studio on Ubuntu

android,ubuntu,android-studio,ubuntu-14.04
While using Android Studio on Ubuntu there are scenarios where the IDE will stop responding to keyboard input or start inputting random characters? How to fix this? Or possible workarounds. ...

How do I install php mbstring extension in to Nginx Ubuntu

nginx,ubuntu-14.04,magento-1.9.1,mbstring
I need this php extension in order to use one of my Magento extension. How do I install php mbstring extension to my Nginx Ubuntu 14.04?

What is version of cuda for nvidia 304.125

ubuntu,cuda,ubuntu-14.04,nvidia
I am using ubuntu 14.04. I want to install CUDA. But I don't know which version is good for my laptop. I trace my drive that is $cat /proc/driver/nvidia/version NVRM version: NVIDIA UNIX x86_64 Kernel Module 304.125 Mon Dec 1 19:58:28 PST 2014 GCC version: gcc version 4.8.2 (Ubuntu 4.8.2-19ubuntu1)...

Failed to Install fluentd redshift plugin on ubuntu 14.04.1 Can't find the PostgreSQL client library (libpq)

postgresql,ubuntu-14.04,fluentd
It's a brand new AWS ubuntu 14.04.1 VM. After launching it, did the following trying to install fluentd redshift plugin. sudo su curl -L http://toolbelt.treasuredata.com/sh/install-ubuntu-trusty-td-agent2.sh | sh apt-get install libpq-dev apt-get install ruby ruby-dev apt-get install make gem install pg /usr/sbin/td-agent-gem install fluent-plugin-redshift Should be easily reproducible. Please help. Thanks...

Flyweight pattern - Memory footprint

python,python-2.7,design-patterns,ubuntu-14.04,flyweight-pattern
I'm learning Python and I've thought it would be a nice excuse to refresh my pattern knowledge and in that case, the Flyweight pattern. I created two small programs, one that is not optimized and one is implementing the Flyweight pattern. For my tests purposes, I'm creating an army of...

/var/www/html/index.html file recreation

apache,localhost,ubuntu-14.04
I accidentally delete /var/www/html/index.html file , now I am unable to test localhost in browser, can we recreate this file or is it downloadable? please help me..

Why is Ubuntu machine not being able to access Github?

git,ssl,github,ubuntu-14.04
I can curl and wget google.com and other sites using https (not all of them though). Github is one of them. The following commands don't work on my Ubuntu 14.04 machine: This hangs indefinitely /usr/local/bin/git ls-remote git://github.com/sstephenson/rbenv.git -h refs/heads/v0.4.0 This results in: curl: (35) Unknown SSL protocol error in connection...

What is wrong with my mongodb?

django,mongodb,locale,virtualbox,ubuntu-14.04
I have a django project that requires mongo. When setting up my dev environment I get some error related to locale and mongo that I couldn't resolve. $ bash -c ". ./host-install.sh && restore_mongodb ./social ~/Desktop/dump" ./host-install.sh: line 329: warning: setlocale: LC_ALL: cannot change locale (sv_SE.UTF-8): No such file or...

Run a script if not already running - getting [0: not found

linux,bash,shell,if-statement,ubuntu-14.04
I'm trying to run a script if not already running using another script. test $ ls arcane_script.py calling_script.sh This is what my script looks right now test $ cat calling_script.sh #!/bin/bash PROCESSES_RUNNING=$(ps -ef | grep "arcane_script.py" | grep -v "grep" | wc -l) echo $PROCESSES_RUNNING if [$PROCESSES_RUNNING = "0"]; then...

how do I update PYTHONPATH from /usr/local/bin/python to /usr/bin/python

python,ubuntu-14.04
I am unable to use virt-manager, and I think it's because of where my python is located. When I run the virt-manager command I get: No module named libvirt even though I have libvirt installed. When I run /usr/bin/python /usr/share/virt-manager/virt-manager.py it works fine. The output from which python is /usr/local/bin/python....

Can't access apache from Internet

apache,ubuntu-14.04,firewall
It must be a common question but I've not found any appropriate answer: I have a website on apache server running in my office LAN. I can view pages from all computers (even smart-phones via Wifi). All computers are connected to a router (with static IPs) which supports port forwarding....

Creating a shortcut or a script in Ubuntu

bash,shell,ubuntu,ubuntu-14.04,desktop-shortcut
I just installed Ubuntu (switched from Windows) and I need some sort of an easy way to execute a program with additional arguments. From the terminal, I'd do this: /home/steam/steamcmd +login anonymous +force_install_dir /home/steam/css/ +app_update 232330 +quit Is there a way to make it easier, so I can just double...

source: not found error while running shell script on ubuntu 14.04

django,bash,cron,sh,ubuntu-14.04
OS- Ubuntu 14.04 This is my shell script which i want to schedule using cron job. parser.sh #!/bin/bash source .profile workon venv cd /home/ashish/deployments/myproject export DJANGO_SETTINGS_MODULE=myproject.settings_production python /home/ashish/deployments/myproject/myproject/manage.py parse_data Cron job- */15 * * * * . /home/ashish/parser.sh Whenever this cron job runs i receive a mail with errors: /bin/sh:...

Initializing ldap…failed. (28416)

ubuntu-14.04,linode,zimbra
I am trying to configure Zimbra on my Linode (ubuntu). It's been more than 12 continuous hours but I am unable to get it configured correctly. I have followed too many guides from internet already. For the last try, I was trying this: Configure Zimbra and as usual the same...

The tools required to build C++ code for R were not found

c++,r,ubuntu-14.04
OS: Ubuntu 14.04 g++: g++ (Ubuntu 4.8.4-2ubuntu1~14.04) 4.8.4 R version: 3.2.0 (2015-04-16) -- "Full of Ingredients" Rcpp: 0.11.6 Today I apt-get dist-upgrade my system, and the g++ was also been upgraded. Then when I am trying to use "Rcpp" package in R, the code is the simplest test code >>evalCpp("1+1")...

Postfix cannot send email to own domain name from VPS

ubuntu-14.04,vps,postfix-mta
We had a shared hosting for, let's say myndd.com. then we migrated to a VPS I installed postfix and I'm able to send emails to everyone except addresses from my own domain. The hosting company told me it is normal because the MX zone is managed my mail01.myndd.com, so I...

Error execute studio.sh unrecognized vm option 'MaxPermSize=350m' on Ubuntu 14.04

ubuntu,android-studio,ubuntu-14.04
Error to Execute/Install studio.sh on Ubuntu: [email protected]:~$ cd android-studio/bin [email protected]:~/android-studio/bin$ ./studio.sh Unrecognized VM option 'MaxPermSize=350m' Error: Could not create the Java Virtual Machine. Error: A fatal exception has occurred. Program will exit. And with some knowledge after searching on search engines, I open the studio.vmoptions file in edit mode and...

QT-OpenCV on Beaglebone Black

c++,qt,opencv,ubuntu-14.04
I'm trying to use OpenCV and QT on Beaglebone Black by using this tutorial : https://aplacetogeek.wordpress.com/qt-opencv-v4l-cross-compiling-raspberry-pi-beagle-bone/ I've completed first 6 step with Ubuntu 14.04 as a host computer operating system, and latest angstrom image as target machine operating system. And i have 4DCape-43T touch screen to test the GUI program....

RethinkDB start on boot

ubuntu-14.04,rethinkdb
I am trying to configure rethinkdb to start using init.d as explained in the docs but it's not working, instead am getting this error... rethinkdb: instance1: Starting instance. (logging to `/home/mofax/rethinkdb/mobius/log_file') Recursively removing directory /home/mofax/rethinkdb/mobius/tmp Recursively removing directory /home/mofax/rethinkdb/mobius In recursion: removing file /home/mofax/rethinkdb/mobius/log_file In recursion: removing file /home/mofax/rethinkdb/mobius/tmp In...

Howto ban IP with Fail2Ban manually by command line?

command-line,ubuntu-14.04,fail2ban
How do I ban an attacker IP with Fail2Ban manually by command line?

file_exists(): Unable to find the wrapper “sftp” - did you forget to enable it when you configured PHP?

php,ubuntu-14.04,expressionengine
This is the error I get on a fresh Ubuntu Server 14.04 install. A PHP Error was encountered Severity: Warning Message: file_exists(): Unable to find the wrapper "sftp" - did you forget to enable it when you configured PHP? Filename: libraries/Template.php Line Number: 2610 ...

Laravel php framework not working well

php,laravel-5,ubuntu-14.04
I have installed Laravel in ubuntu 14.04, and copied the laravel folder into opt/lampp/htdocs. Then i created : htdocs>laravel2>index.php , where index.php contains: <?php Route::match(['get', 'post'], '/', function(){ return 'Hello World'; }); ?> when i go to http://localhost/laravel2/index.php this is thrown: Fatal error: Class 'Route' not found in /opt/lampp/htdocs/laravel2/index.php on...

php server taking too much time to start a port

php,ubuntu-14.04,http-request
I am using ubuntu 14.04. I am trying to install laravel php framework. In this purpose I have run this code in teminal: php artisan serve After waiting 4-5 minutes i get this response in terminal Laravel development server started on http://localhost:8000/ [Tue May 26 13:19:40 2015] 127.0.0.1:44800 [200]: /favicon.ico...

How to attach several files in mail using unix command?

mysql,email,ubuntu,sendmail,ubuntu-14.04
I'm implementing a script to backup my MySQL database. All process is OK and I send an email when it finish. But I want to attach the file in that email and I don't know how to do it. My command line is: mail -s "$1" -a "MIME-Version: 1.0;" -a...

Unable to extract text and images from specific PDF

ruby,pdf,command-line,ubuntu-14.04,pdfbox
Can anyone please let me know how I can extract all the text and images from a PDF. I am able to extract images in scenario like, which I created a PDF with few lines of text and 2 png images using Google Docs. But, I am unable to extract...

Can't install Rodeo with pip on Ubuntu

python,python-2.7,ubuntu,pip,ubuntu-14.04
I can't install Rodeo with pip, on Ubuntu 14.04.2 LTS 64 bit (installed on a Virtual Box) For information I'm a Python and Ubuntu beginner and I installed pip by following this tutorial pip -V pip 6.1.1 from /usr/local/lib/python2.7/dist-packages (python 2.7) Problem: When I execute pip install -U rodeo I...

VIM: Use python3 interpreter in python-mode

python,vim,ubuntu-14.04,python-3.4,python-mode
I have recently switched to vim and configured it for Python-programming using this tutorial. Before, I have made sure that vim supports python3 (vim --version shows +python/dyn and +python3/dyn) using this article. But when executing a file from python-mode, still the python2.7 interpreter is chosen. How can I configure vim...

Store rsync error in variable

bash,ubuntu-14.04,rsync
I've written a bash script to sync backups with a local storage, the script checks whether a backup as been made on the day the script is executed, and if so it sync's. I've made it this way so that if by accident (or other way) all the backups are...

Getting Unknown flag: -v when i run protoc -version in my ubuntu

protocol-buffers,ubuntu-14.04
I'm getting the following message when i run protoc -version in my ubuntu terminal. Unknown flag: -v Earlier to this, I had got the following error when I ran protoc -version. I found a solution through google and ran "sudo ldconfig /usr/local/lib". After running that, I'm getting the Unknown flag...

Some weird error using Kivy 1.9.1

python,virtual-machine,ubuntu-14.04,kivy,eclipse-luna
I'm trying to use some my python code from a class project for an Kivy app just for practice. I know the code works perfectly fine whether I run in it simply in IDLE or as an IPython notebook, but I'm encountering some weird error when I run the code...

How do I switch between different versions of Julia (specifically between v0.3 and v0.4 on Ubuntu)?

linux,ubuntu,ubuntu-14.04,julia-lang
I am working on some projects using Julia v0.3. However, I'd like to test my code in both v0.3 and v0.4 (since some of the people that are going to be using it are already using v0.4). I'm running Ubuntu 14.04 and have installed Julia using apt-get. I know v0.4...

Uninstalling php 5.3 in ubuntu 14.04

php,zend-framework,ubuntu-14.04
I have installed php 5.3 manually by executing commands like make & make install. But I need to upgrade it to v5.5 therefore I deleted all the directories related to php5 using sudo command. But when I run php -v Still I am getting PHP 5.3.29 (cli) (built: Jun 8...

Point Grey Bumblebee2 firewire 1394 with Nvidia Jetson TK1 board

opencv,ubuntu-14.04,nvidia
I have successfully interfaced Point Grey Bumblebee2 firewire1394 camera with Nvida Jetson TK1 board and I get the video using Coriander and video for Linux loop back device is working as well. But when I tried to access camera using OpenCV and Coriander at the same time, I have conflicts....

How to download a web directory when authentication is required?

linux,wget,fetch,ubuntu-14.04,web-folders
For instance, I want to fetch the entire folder3 from a web site http://something.com/folder1/folder2/folder3 I saw similar posts where the solution is given by wget. But in this case the web site ask me for user name and password, which I have. I tried to download the folder with wget...

virtual-box virtual machines date and time are not update to the present date and time

date,time,virtualbox,ubuntu-14.04
when virtual-box Virtual Machine's are reverted to snapshot time and date are being followed from snapshot time and date, but I want the present day date and time to be followed by Virtual Machine's and I don't want to synchronize time with my host's date and time. please guide me...

Strange behavior of psutil

python,ubuntu-14.04,psutil
I'm using the library psutil for python 2.7. Consider this small program : import os import psutil # return the memory usage in MB process = psutil.Process(os.getpid()) print process.get_memory_info()[0] / float(2 ** 20) The memory informations returned by the program are always different. I can't understand how my application, doing...

MY SQL Database connectivity using PHP in WEB Based app

php,mysql,ubuntu-14.04,web-based
I am developing a simple Web Based video application. I design a simple interface using HTML & CSS. Now I need to connect to get videos from already created database in MYSQL. Please guide me that how can we do this using PHP. And the second problem while accessing my...

Javascript singleline comments removed with bash

linux,bash,ubuntu-14.04
Have tried to get this to work for a while now without any success. I know there are similar posts about this topic but their examples doesn't work or their regexp's are to violent for my purpouse. This is to heavy: Comprehensive RegExp to remove JavaScript comments My issue is...

Python import error inspite of having wxPython installed

python,wxpython,ubuntu-14.04
I have installed wxPython by following the instructions from this answer using the following command in Ubuntu 14.04 sudo apt-get install python-wxgtk2.8 python-wxtools wx2.8-doc wx2.8-examples wx2.8-headers wx2.8-i18n Everything got installed properly. But when I do import wx in my code, I get the following error. Python 2.7.6 (default, Mar 22...

Add TeX path to R Studio - Ubuntu

path,ubuntu-14.04,tex,sweave
I'm having the same issue as this question: When I open any .Rnw file, R Studio says that I have no TeX Distribution installed: I'm using Ubuntu 14.04 w/ Gnome and TeXLive 2014. I include the line PATH=/usr/local/texlive/2014/bin:${PATH} in the Renviron.site file, which now looks like: ## Emacs please make...

Linux error when installing Keras

python,ubuntu-14.04,keras
I am getting this strange to me error when installing Keras on an Ubuntu server: Cythonizing /tmp/easy_install-qQggXs/h5py-2.5.0/h5py/utils.pyx In file included from /usr/local/lib/python2.7/dist-packages/numpy/core/include/numpy/ndarraytypes.h:1804:0, from /usr/local/lib/python2.7/dist-packages/numpy/core/include/numpy/ndarrayobject.h:17, from /usr/local/lib/python2.7/dist-packages/numpy/core/include/numpy/arrayobject.h:4, from /tmp/easy_install-qQggXs/h5py-2.5.0/h5py/api_compat.h:26, from...

Labview .VI application from Window to Linux application

linux,ubuntu-14.04,labview
Due to now I just finish my application .VI and compile .exe (Windows with Labview). Then if I want to take my application from windows to linux. And running on linux without MONO or Wine. Because I want to interface with NI-6008. How can I do?(Step by step) Please help...

Static member of template base class doesn't get exported to shared library

c++,shared-libraries,ubuntu-14.04,nm,template-classes
I have a class 'ModelManager' which is derived from a template class 'TModelManager'. Their declaration is as follows: template<class TModel,class TModelMesh,class TModelSubMesh> class TModelManager { protected: static std::map<std::string,ModelHandle> m_models; static std::vector<std::map<std::string,ModelHandle>::iterator> m_marked; [...] }; class DLLNETWORK ModelManager : public TModelManager<Model,ModelMesh,ModelSubMesh> { [...] }; There are two shared libraries, "shared" and...

Error installing Ruby 2.2.2 with RVM on Ubuntu 14.04

ruby,rvm,ubuntu-14.04,ruby-2.2
Here's what. I first did: rvm get stable rvm install ruby-2.2.2 No deal. It shows me the following: $ rvm install ruby-2.2.2 Searching for binary rubies, this might take some time. No binary rubies available for: ubuntu/14.04/i386/ruby-2.2.2. Continuing with compilation. Please read 'rvm help mount' to get more information on...

Cordova/Phonegap not launches the application in the emulator

android,cordova,ubuntu-14.04,phonegap-build
After running cordova run android and build the application, open the emulator but never load the application. In the terminal returns LAUNCH SUCCESS but it's not true. What's the problem? Ubuntu 14.04 LTS 64 bit Cordova 5.0.0 Phonegap 5.0.0-0.27.1 Apache Ant(TM) version 1.9.3...

Configure: error: missing libstdc++ // UBUNTU UCK

ubuntu-14.04
Right now I am running Ubuntu 14.04 in VMware trying to make a Live CD with a tool called UCK. I am in the process where I can customize and add my own packages and tools to my live CD. I want to install and setup Autopsy so I began...

LibHaru QT5 cannot find usr/local/lib, file format not recognized

qt,qt5,ubuntu-14.04,libharu
I installed libraries from libharu.org accordingly to the instructions on the page(without any errors). Then tried to run an example in qt5. After adding paths to installed directories INCLUDEPATH +=/usr/local/include LIBS +=/usr/local/lib -libhpdf qt5 seemed to found them (headers underline disappeared). However during debug it shows errors cannot find /usr/local/lib:...

Error while installing deepdish

python,pip,ubuntu-14.04,caffe,lmdb
I'm trying to create an LMDB database file to be used with Caffe according to this tutorial on an Ubuntu 14.04 machine using Anaconda Python 2.7.9. However, when I do pip install deepdish, I'm getting the following error: Collecting deepdish Using cached deepdish-0.1.4.tar.gz Complete output from command python setup.py egg_info:...

How to install Mono version >= 3.10.0 on Ubuntu 14.04 LTS?

ubuntu,mono,ubuntu-14.04
I installed mono with: apt-get install mono-complete but version that come from trusty is is 3.2.8 I follow the installation instructions also form mono-project.com but this result also in version 3.2.8. I am willing to resolve to compile and install from source as a last choice....

Give php permission to create files without permissions error

php,nginx,ubuntu-14.04
When using the move_uploaded_file() function in PHP I get the error: Warning: move_uploaded_file(...): failed to open stream: Permission denied in ... On my server I have the public_html permissions like: drwxr-sr-x 7 user www-data 4096 Apr 27 17:48 public_html Which is recursively through-out the directory. Have you got any ideas...

OpsCenter is having trouble connecting with the agents

azure,cassandra,ubuntu-14.04,datastax-enterprise,opscenter
I am trying to setup a two node cluster in Cassandra. I am able to get my nodes to connect fine as far as I can tell. When I run nodetool status it shows both my nodes in the same data center and same rack. I can also run cqlsh...

What is the current behavior of firefox for the ubuntu menu bar?

javascript,firefox,applet,ubuntu-14.04
I'm trying to development an applet (https://github.com/lestcape/Global-AppMenu) to be used in the Cinnamon desktop. My intention is not modify or create any other code than not be cjs (javascript code). All that i do is: Connect my applet to the com.canonical.AppMenu.Registrar and the Gtk Dbus API. Get all object path...

ubuntu, installation of a library, what to write in prefix and in environment variable

ubuntu,installation,environment-variables,ubuntu-14.04,prefix
I have recently started using ubuntu. I am installing linbox library: http://www.linalg.org/developer.html. The installation guide states that one should install several libraries, including fflas-ffpack library, and then run the script autogen.sh, optionally specifying the installation prefix: cd linbox ./autogen.sh [--prefix=] [options]. [options] include --with-fflas-ffpack=, which, according to the installation guide,...

Firewire1394 on nvida jetson tk1

ubuntu-14.04,nvidia,tegra
I am trying to interface Point Grey Bumblebee2 stero camera with the nvida tegra tk1 using PCI express. Nvidia board detects the PCI express. lspci 00:00.0 PCI bridge: NVIDIA Corporation Device 0e12 (rev a1) 01:00.0 FireWire (IEEE 1394): LSI Corporation FW643 [TrueFire] PCIe 1394b Controller (rev 08) 02:00.0 PCI bridge:...

How to remove “CannotImport” error in Python-kivy?

python,ubuntu-14.04,kivy,linuxmint
I am using linux mint, i have installed python-kivy using the instructions http://kivy.org/docs/installation/installation-linux.html#ubuntu-11-10-or-newer but after running first program there is a error. I am attaching both coding and error screenshot. Please help me out. from kivy.app import App class TutorialApp(App): pass if __name__=="__main__": TutorialApp().run() ...

How can Firefox suddenly stop working on Ubuntu?

firefox,ubuntu,ubuntu-14.04
Firefox has suddenly stopped working on Ubuntu 14.04 machine,the strange part is that the computer seems to reject it no matter what, I tried re-installing it from the terminal, but it didn't run after that either, I then removed it and installed it again from both terminal and Software center...

Installing Apache Spark on Ubuntu 14.04

apache-spark,virtual-machine,ubuntu-14.04
At first I have a VM to which I access via ubuntu, and this VM is also Ubuntu 14.04. I need to install Apache Spark as soon as possible, but I can not find anything which can help me or give me references where it's best explained. I tried once...